unit Dialo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, PDJ_SB, PDJ_SeB, StdCtrls, ComCtrls, PDJ_Basic, PDJ_RtfDlg,
  PDJ_GrBx, PDJ_Lab, PDJ_RdGr, PDJ_BrwFol, PDJ_IBLx, PDJ_DuDlg;

type
  TForm8 = class(TForm)
    PDJGroupBox1: TPDJGroupBox;
    PDJOpenRtfDialog1: TPDJOpenRtfDialog;
    PDJSaveRtfDialog1: TPDJSaveRtfDialog;
    PDJRichEdit1: TPDJRichEdit;
    PDJSpeedButton1: TPDJSpeedButton;
    PDJSpeedButton2: TPDJSpeedButton;
    PDJGroupBox2: TPDJGroupBox;
    PDJBrowseFolder1: TPDJBrowseFolder;
    PDJSpeedButton3: TPDJSpeedButton;
    PDJEdit1: TPDJEdit;
    PDJRadioGroup1: TPDJRadioGroup;
    PDJEdit2: TPDJEdit;
    PDJLabel1: TPDJLabel;
    PDJGroupBox3: TPDJGroupBox;
    PDJDualListDialog1: TPDJDualListDialog;
    PDJBandList1: TPDJBandList;
    PDJSpeedButton4: TPDJSpeedButton;
    PDJSpeedButton5: TPDJSpeedButton;
    PDJSpeedButton6: TPDJSpeedButton;
    procedure PDJSpeedButton1Click(Sender: TObject);
    procedure PDJSpeedButton2Click(Sender: TObject);
    procedure PDJEdit2Change(Sender: TObject);
    procedure PDJSpeedButton3Click(Sender: TObject);
    procedure PDJRadioGroup1Click(Sender: TObject);
    procedure PDJBrowseFolder1ButtonClick(Sender: TPDJBrowseFolder;
      DialogHandle: HWND);
    procedure PDJSpeedButton4Click(Sender: TObject);
    procedure PDJSpeedButton5Click(Sender: TObject);
    procedure PDJSpeedButton6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form8: TForm8;

implementation

uses DemoUnit;

{$R *.DFM}

procedure TForm8.PDJSpeedButton1Click(Sender: TObject);
begin
if PDJOpenRtfDialog1.execute then
PDJRichEdit1.Lines.LoadFromFile(PDJOpenRtfDialog1.FileName);
end;

procedure TForm8.PDJSpeedButton2Click(Sender: TObject);
begin
if PDJSaveRtfDialog1.execute then
PDJRichEdit1.Lines.SaveToFile(PDJSaveRtfDialog1.FileName);
end;

procedure TForm8.PDJEdit2Change(Sender: TObject);
begin
PDJBrowseFolder1.BtnCaption:=PDJEdit2.Text;
end;

procedure TForm8.PDJSpeedButton3Click(Sender: TObject);
begin
if PDJBrowseFolder1.execute then
PDJEdit1.Text:=PDJBrowseFolder1.SelectedFolder
end;

procedure TForm8.PDJRadioGroup1Click(Sender: TObject);
begin
Case PDJRadioGroup1.ItemIndex of
0:PDJBrowseFolder1.ButtonKind:=bkNewfolder;
1:PDJBrowseFolder1.ButtonKind:=bkCustom;
end;
end;

procedure TForm8.PDJBrowseFolder1ButtonClick(Sender: TPDJBrowseFolder;
  DialogHandle: HWND);
begin
ShowMEssage('Hay, Hay, Hay, Ha.....');
end;

procedure TForm8.PDJSpeedButton4Click(Sender: TObject);
begin
PDJDualListDialog1.execute;
end;

procedure TForm8.PDJSpeedButton5Click(Sender: TObject);
var i:integer;
begin
PDJBandList1.ClearBLItems;
for i:=0 to PDJDualListDialog1.ListDestin.Count-1 do
PDJBandList1.AddBLItem(
PDJDualListDialog1.ListDestin[i].Caption,
PDJDualListDialog1.ListDestin[i].HotImageIndex,
PDJDualListDialog1.ListDestin[i].ImageIndex);
end;

procedure TForm8.PDJSpeedButton6Click(Sender: TObject);
var i:integer;
begin
PDJBandList1.ClearBLItems;
for i:=0 to PDJDualListDialog1.ListSource.Count-1 do
PDJBandList1.AddBLItem(
PDJDualListDialog1.ListSource[i].Caption,
PDJDualListDialog1.ListSource[i].HotImageIndex,
PDJDualListDialog1.ListSource[i].ImageIndex);
end;

end.
